Bug 22951 - Markup error in OPAC holds template
Summary: Markup error in OPAC holds template
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 15:46 UTC by Owen Leonard
Modified: 2019-08-06 16:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 22951: Markup error in OPAC holds template (1.77 KB, patch)
2019-06-26 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22951: (follow-up) Fix indentation (56.99 KB, patch)
2019-06-26 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22951: Markup error in OPAC holds template (1.83 KB, patch)
2019-07-04 18:17 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 22951: (follow-up) Fix indentation (57.05 KB, patch)
2019-07-04 18:17 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 22951: (follow-up) Fix indentation (57.10 KB, patch)
2019-07-05 18:51 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 22951: Markup error in OPAC holds template (1.89 KB, patch)
2019-07-05 19:01 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 22951: (follow-up) Fix indentation (57.16 KB, patch)
2019-07-05 19:01 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 22951: Markup error in OPAC holds template (1.94 KB, patch)
2019-07-06 06:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22951: (follow-up) Fix indentation (57.23 KB, patch)
2019-07-06 06:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 15:46:53 UTC
There is a markup error somewhere in the OPAC holds template (opac-reserve.tt) which is causing a validation error:

 - "Stray end tag div."
Comment 1 Owen Leonard 2019-06-26 12:54:21 UTC
Created attachment 91018 [details] [review]
Bug 22951: Markup error in OPAC holds template

This patch makes minor markup changes to the OPAC holds template in
order to fix validation errors.

To test, apply the patch and go through the process of placing a
hold in the OPAC. Test various aspects of the process, including cases
where the hold is blocked and an error message is displayed (for
instance, when there are no items to be placed on hold).

The page should work correctly and validating the source should
return no relevant errors.
Comment 2 Owen Leonard 2019-06-26 12:54:23 UTC
Created attachment 91019 [details] [review]
Bug 22951: (follow-up) Fix indentation

This patch fixes indentation related to the markup corrections in the
previous patch. It contains no textual changes.
Comment 3 M. Tompsett 2019-07-04 18:17:26 UTC
Created attachment 91295 [details] [review]
Bug 22951: Markup error in OPAC holds template

This patch makes minor markup changes to the OPAC holds template in
order to fix validation errors.

To test, apply the patch and go through the process of placing a
hold in the OPAC. Test various aspects of the process, including cases
where the hold is blocked and an error message is displayed (for
instance, when there are no items to be placed on hold).

The page should work correctly and validating the source should
return no relevant errors.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 M. Tompsett 2019-07-04 18:17:29 UTC
Created attachment 91296 [details] [review]
Bug 22951: (follow-up) Fix indentation

This patch fixes indentation related to the markup corrections in the
previous patch. It contains no textual changes.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Nadine Pierre 2019-07-05 18:51:41 UTC
Created attachment 91360 [details] [review]
Bug 22951: (follow-up) Fix indentation

This patch fixes indentation related to the markup corrections in the
previous patch. It contains no textual changes.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 6 Frédérik Chénier 2019-07-05 19:01:28 UTC
Created attachment 91365 [details] [review]
Bug 22951: Markup error in OPAC holds template

This patch makes minor markup changes to the OPAC holds template in
order to fix validation errors.

To test, apply the patch and go through the process of placing a
hold in the OPAC. Test various aspects of the process, including cases
where the hold is blocked and an error message is displayed (for
instance, when there are no items to be placed on hold).

The page should work correctly and validating the source should
return no relevant errors.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 7 Frédérik Chénier 2019-07-05 19:01:37 UTC
Created attachment 91366 [details] [review]
Bug 22951: (follow-up) Fix indentation

This patch fixes indentation related to the markup corrections in the
previous patch. It contains no textual changes.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 8 Katrin Fischer 2019-07-06 06:38:54 UTC
Created attachment 91380 [details] [review]
Bug 22951: Markup error in OPAC holds template

This patch makes minor markup changes to the OPAC holds template in
order to fix validation errors.

To test, apply the patch and go through the process of placing a
hold in the OPAC. Test various aspects of the process, including cases
where the hold is blocked and an error message is displayed (for
instance, when there are no items to be placed on hold).

The page should work correctly and validating the source should
return no relevant errors.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-07-06 06:38:59 UTC
Created attachment 91381 [details] [review]
Bug 22951: (follow-up) Fix indentation

This patch fixes indentation related to the markup corrections in the
previous patch. It contains no textual changes.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2019-07-15 11:21:50 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Fridolin SOMERS 2019-07-30 05:39:19 UTC
Pushed to 19.05.x for 19.05.03
Comment 12 Lucas Gass 2019-08-06 16:15:53 UTC
backported to 18.11.x for 18.11.09